## ros-noetic-tesseract-common 0.18.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
 find_package(Boost REQUIRED COMPONENTS system filesystem serialization)
 find_package(Eigen3 REQUIRED)
 find_package(TinyXML2 REQUIRED)
+find_package(yaml-cpp REQUIRED)
 
 find_package(console_bridge REQUIRED)
 if(NOT TARGET console_bridge::console_bridge)
@@ -43,24 +44,30 @@
 
 add_library(
   ${PROJECT_NAME}
+  src/allowed_collision_matrix.cpp
+  src/any_poly.cpp
+  src/collision_margin_data.cpp
   src/joint_state.cpp
   src/manipulator_info.cpp
   src/kinematic_limits.cpp
-  src/serialization.cpp
-  src/utils.cpp)
+  src/eigen_serialization.cpp
+  src/utils.cpp
+  src/resource_locator.cpp
+  src/types.cpp)
 target_link_libraries(
   ${PROJECT_NAME}
   PUBLIC Eigen3::Eigen
-         ${TinyXML2_LIBRARIES}
+         tinyxml2::tinyxml2
          ${CMAKE_DL_LIBS}
          Boost::boost
          Boost::system
          Boost::filesystem
          Boost::serialization
-         console_bridge::console_bridge)
+         console_bridge::console_bridge
+         yaml-cpp)
 target_compile_options(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_OPTIONS_PUBLIC})
 target_compile_definitions(${PROJECT_NAME} PUBLIC ${TESSERACT_COMPILE_DEFINITIONS})
-target_clang_tidy(${PROJECT_NAME} ARGUMENTS ${TESSERACT_CLANG_TIDY_ARGS} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
+target_clang_tidy(${PROJECT_NAME} ENABLE ${TESSERACT_ENABLE_CLANG_TIDY})
 target_cxx_version(${PROJECT_NAME} PUBLIC VERSION ${TESSERACT_CXX_VERSION})
 target_code_coverage(
   ${PROJECT_NAME}
@@ -70,9 +77,11 @@
   ENABLE ${TESSERACT_ENABLE_CODE_COVERAGE})
 target_include_directories(${PROJECT_NAME} PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                                                   "$<INSTALL_INTERFACE:include>")
-target_include_directories(${PROJECT_NAME} SYSTEM PUBLIC ${TinyXML2_INCLUDE_DIRS})
 
 configure_package(NAMESPACE tesseract TARGETS ${PROJECT_NAME})
+if(WIN32)
+  target_link_libraries(${PROJECT_NAME} PUBLIC Bcrypt)
+endif()
 
 # Mark cpp header files for installation
 install(
@@ -83,11 +92,14 @@
   PATTERN "*.hpp"
   PATTERN ".svn" EXCLUDE)
 
-install(FILES "${CMAKE_CURRENT_LIST_DIR}/cmake/tesseract_macros.cmake"
-              "${CMAKE_CURRENT_LIST_DIR}/cmake/FindTinyXML2.cmake" "${CMAKE_CURRENT_LIST_DIR}/cmake/Findtcmalloc.cmake"
-        DESTINATION lib/cmake/${PROJECT_NAME})
+install(
+  FILES "${CMAKE_CURRENT_LIST_DIR}/cmake/tesseract_macros.cmake"
+        "${CMAKE_CURRENT_LIST_DIR}/cmake/FindTinyXML2.cmake"
+        "${CMAKE_CURRENT_LIST_DIR}/cmake/Findtcmalloc.cmake"
+        "${CMAKE_CURRENT_LIST_DIR}/cmake/Findtcmalloc_minimal.cmake"
+  DESTINATION lib/cmake/${PROJECT_NAME})
 
-if(TESSERACT_ENABLE_TESTING)
+if(TESSERACT_ENABLE_TESTING OR TESSERACT_COMMON_ENABLE_TESTING)
   enable_testing()
   add_run_tests_target(ENABLE ${TESSERACT_ENABLE_RUN_TESTING})
   add_subdirectory(test)
@@ -101,16 +113,19 @@
     LICENSE_FILE ${CMAKE_CURRENT_LIST_DIR}/../LICENSE
     README_FILE ${CMAKE_CURRENT_LIST_DIR}/../README.md
     LINUX_DEPENDS
-      "libboost-system1.71.0"
-      "libboost-filesystem1.71.0"
-      "libboost-serialization1.71.0"
+      "libboost-system-dev"
+      "libboost-filesystem-dev"
+      "libboost-serialization-dev"
       "libconsole-bridge-dev"
       "libtinyxml2-dev"
       "libeigen3-dev"
+      "libyaml-cpp-dev"
     WINDOWS_DEPENDS
       "boost_system"
       "boost_filesystem;"
       "boost_serialization"
+      "console-bridge"
       "tinyxml2"
-      "Eigen3")
+      "Eigen3"
+      "yaml-cpp")
 endif()
