=== debian/changelog ===
ros-noetic-tesseract-common (0.18.1-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 30 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-common (0.18.0-1focal) focal; urgency=high

  * Add package cmake flags for testing, examples and benchmarks
  * Removed gcc-specific options from clang config
  * Fix JointState equal operator
  * Contributors: Levi Armstrong, Roelof

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 29 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-common (0.17.0-1focal) focal; urgency=high

  * Windows updates (#893 <https://github.com/tesseract-robotics/tesseract/issues/893>)
  * Update resource_locator.cpp (#889 <https://github.com/tesseract-robotics/tesseract/issues/889>)
  * Contributors: John Wason, Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 06 Jun 2023 05:00:00 -0000

ros-noetic-tesseract-common (0.16.3-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 04 May 2023 05:00:00 -0000

ros-noetic-tesseract-common (0.16.2-1focal) focal; urgency=high

  * Add yaml support for tool path
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 28 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-common (0.16.1-1focal) focal; urgency=high

  * Improve tesseract_common unit test coverage
  * Improve general resource locator
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-common (0.16.0-1focal) focal; urgency=high

  * Add documentation to ContactResultMap
  * Avoid multiple memory allocations in PairHash::operator()
  * Add contact results class
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Sun, 09 Apr 2023 05:00:00 -0000

ros-noetic-tesseract-common (0.15.3-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 22 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-common (0.15.2-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 15 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-common (0.15.1-1focal) focal; urgency=high



 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 14 Mar 2023 05:00:00 -0000

ros-noetic-tesseract-common (0.15.0-1focal) focal; urgency=high

  * Performance improvements found using callgrind (#852 <https://github.com/tesseract-robotics/tesseract/issues/852>)
  * Update TaskComposerPluginInfo
  * Improve tesseract_state_solver code coverage
  * Fix tesseract_common plugin info implementations equal and insert methods
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Fri, 03 Mar 2023 06:00:00 -0000

ros-noetic-tesseract-common (0.14.0-1focal) focal; urgency=high

  * Add general resource locator
  * Remove deprecated items
  * Add fileToString utility function
  * Rename Any to AnyPoly
  * Remove StatusCode and fix eigen being passed by value in JointState
  * Including <boost/serialization/library_version_type.hpp> for Boost 1.74. Fixes tesseract-robotics/tesseract#764 <https://github.com/tesseract-robotics/tesseract/issues/764>
  * Contributors: Levi Armstrong, Roelof Oomen

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Sun, 23 Oct 2022 05:00:00 -0000

ros-noetic-tesseract-common (0.13.1-1focal) focal; urgency=high

  * Add tesseract extension macro
  * Move most SWIG commands to tesseract_python package (#809 <https://github.com/tesseract-robotics/tesseract/issues/809>)
  * Add isNull method to TypeErasureBase
  * Fix TypeErasure to fully support being null
  * Add find_bullet macro which creates a target to link against (#803 <https://github.com/tesseract-robotics/tesseract/issues/803>)
  * Update almostEqualRelativeAndAbs to support vector of max_diff and max_rel_diff (#802 <https://github.com/tesseract-robotics/tesseract/issues/802>)
  * Contributors: John Wason, Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-tesseract-common (0.13.0-1focal) focal; urgency=high

  * Update code based on clang-tidy-14
  * Make limits utility functions templates
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 11 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-common (0.10.0-1focal) focal; urgency=high

  * Update ros_industrial_cmake_boilerplate to 0.3.0 (#795 <https://github.com/tesseract-robotics/tesseract/issues/795>)
  * Static plugin loading using symbol module resolution (#782 <https://github.com/tesseract-robotics/tesseract/issues/782>)

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Wed, 06 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-common (0.9.11-1focal) focal; urgency=high

  * Renames in type erasure to avoid WIN32 defines
  * Updated CPack (#786 <https://github.com/tesseract-robotics/tesseract/issues/786>)
  * Update to use find_gtest macro
  * Fix message in type_erasure.h
  * Contributors: John Wason, Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Thu, 30 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-common (0.9.10-1focal) focal; urgency=high

  * Add type erasure interface (#776 <https://github.com/tesseract-robotics/tesseract/issues/776>)
    * Add type erasure interface
    * revert change to type erasure constructor
  * Update FindTinyXML2.cmake
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Tue, 14 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-common (0.9.9-1focal) focal; urgency=high

  * Fix find tcmalloc on melodic
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-common (0.9.8-1focal) focal; urgency=high

  * Fix Findtcmalloc_minimal.cmake
  * Contributors: Levi Armstrong

 -- Levi Armstrong <Levi.Armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-common (0.9.7-1focal) focal; urgency=high


